﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace HSDc.RingleFlow.Kernel.Persistence
{
    internal class PersistHandler: ConfigurationSection
    {
        internal PersistHandler() { }
        internal PersistHandler(string dllNameVal, string classNameVal)
        {
            DllName = dllNameVal;
            ClassName = classNameVal;
        }

        [ConfigurationProperty("dllName", IsRequired=true)]
        internal string DllName
        {
            get { return this["dllName"].ToString(); }
            set { this["dllName"] = value; }
        }

        [ConfigurationProperty("className", IsRequired = true)]
        internal string ClassName
        {
            get { return this["className"].ToString(); }
            set { this["className"] = value; }
        }
    }
}
