﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HSDc.DefinitionTransformer.DTO
{
    public class ProcessDefinition
    {

        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private int _version;

        public int Version
        {
            get { return _version; }
            set { _version = value; }
        }
        private bool _active;

        public bool Active
        {
            get { return _active; }
            set { _active = value; }
        }


        private List<Decisioin> _decisions;

        public List<Decisioin> Decisions
        {
            get { return _decisions; }
            set { _decisions = value; }
        }

        private List<Swimlane> _swimlanes;

        public List<Swimlane> Swimlanes
        {
            get { return _swimlanes; }
            set { _swimlanes = value; }
        }

        public ProcessDefinition() 
        {
            _decisions = new List<Decisioin>();
            _swimlanes = new List<Swimlane>();
        
        }

    }


    public class Decisioin 
    {
        private int _Id;

        public int Id
        {
            get { return _Id; }
            set { _Id = value; }
        }

        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private string _ruleClass;

        public string RuleClass
        {
            get { return _ruleClass; }
            set { _ruleClass = value; }
        }
    }

    public class Swimlane 
    {
        private int _Id;

        public int Id
        {
            get { return _Id; }
            set { _Id = value; }
        }

        private int _seq;

        public int Seq
        {
            get { return _seq; }
            set { _seq = value; }
        }

        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private string _ruleClass;

        public string RuleClass
        {
            get { return _ruleClass; }
            set { _ruleClass = value; }
        }
    
    }



}
