﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace HSDc.DefinitionTransformer.Util
{
    public class ConfigurationSectionHelper : System.Configuration.ConfigurationSection
    {
        public ConfigurationSectionHelper() { }
        public ConfigurationSectionHelper(string dllNameVal, string classNameVal)
        {
            DllName = dllNameVal;
            ClassName = classNameVal;
        }

        [ConfigurationProperty("dllName", IsRequired=true)]
        public string DllName
        {
            get { return this["dllName"].ToString(); }
            set { this["dllName"] = value; }
        }

        [ConfigurationProperty("className", IsRequired = true)]
        public string ClassName
        {
            get { return this["className"].ToString(); }
            set { this["className"] = value; }
        }


    }
}
