﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HSDc.RingleFlow.Api.Kernel
{
    public interface IProcessInstance
    {
        string Id { get; }
        ExecutionState CurrentState { get; }
        IProcessDefinition Definition { get; }
        Dictionary<string, object> GetVaraibles();
        object GetVaraible(string variableName);
        List<string> GetAllActiveActivityNames();
        void AddVaraible(string VariableName, object Varaible);
    }
}
