﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HSDc.RingleFlow.Api.Kernel
{
    public interface ITask
    {
        string Id { get; }
        TaskState CurrentState { get; }
        string Assignee { get; }
        string TaskName { get; }
        void ChangeAssignee(string UserID);
        string Description { get; }
        DateTime DueDate { get; }
        DateTime CreateTime { get; }
        IProcessInstance Instance { get; }
        void AddVariable(string VariableName, object variable);
    }
}
